=== modified file '__init__.py'
--- __init__.py	2006-08-30 11:25:53 +0000
+++ __init__.py	2006-09-06 09:27:12 +0000
@@ -1,5 +1,3 @@
-#!/usr/bin/python
-
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or

=== modified file 'nautilus-bzr.py'
--- nautilus-bzr.py	2006-05-20 19:54:10 +0000
+++ nautilus-bzr.py	2006-09-06 09:27:12 +0000
@@ -7,11 +7,7 @@
 from bzrlib.plugin import load_plugins
 load_plugins()
 
-try:
-    from bzrlib.plugins.gtk import cmd_visualise, cmd_gannotate
-    have_gtkplugin = True
-except ImportError:
-    have_gtkplugin = False
+from bzrlib.plugins.gtk import cmd_visualise, cmd_gannotate
 
 class BzrExtension(nautilus.MenuProvider):
     def __init__(self):
@@ -189,18 +185,17 @@
             return items
 
         items = []
-        if have_gtkplugin:
-            item = nautilus.MenuItem('BzrNautilus::log',
-                                 'Log',
-                                 'Show Bazaar history')
-            item.connect('activate', self.log_cb, vfs_file)
-            items.append(item)
+        item = nautilus.MenuItem('BzrNautilus::log',
+                             'Log',
+                             'Show Bazaar history')
+        item.connect('activate', self.log_cb, vfs_file)
+        items.append(item)
 
-            item = nautilus.MenuItem('BzrNautilus::commit',
-                                 'Commit',
-                                 'Commit Changes')
-            item.connect('activate', self.commit_cb, vfs_file)
-            items.append(item)
+        item = nautilus.MenuItem('BzrNautilus::commit',
+                             'Commit',
+                             'Commit Changes')
+        item.connect('activate', self.commit_cb, vfs_file)
+        items.append(item)
 
         return items
 
@@ -246,18 +241,17 @@
                 item.connect('activate', self.unignore_cb, vfs_file)
                 items.append(item)
             elif file_class == 'V':
-                if have_gtkplugin:
-                    item = nautilus.MenuItem('BzrNautilus::log',
-                                     'Log',
-                                     'List changes')
-                    item.connect('activate', self.log_cb, vfs_file)
-                    items.append(item)
+                item = nautilus.MenuItem('BzrNautilus::log',
+                                 'Log',
+                                 'List changes')
+                item.connect('activate', self.log_cb, vfs_file)
+                items.append(item)
 
-                    item = nautilus.MenuItem('BzrNautilus::diff',
-                                     'Diff',
-                                     'Show differences')
-                    item.connect('activate', self.diff_cb, vfs_file)
-                    items.append(item)
+                item = nautilus.MenuItem('BzrNautilus::diff',
+                                 'Diff',
+                                 'Show differences')
+                item.connect('activate', self.diff_cb, vfs_file)
+                items.append(item)
 
                 item = nautilus.MenuItem('BzrNautilus::remove',
                                      'Remove',
@@ -265,17 +259,16 @@
                 item.connect('activate', self.remove_cb, vfs_file)
                 items.append(item)
 
-                if have_gtkplugin:
-                    item = nautilus.MenuItem('BzrNautilus::annotate',
-                                 'Annotate',
-                                 'Annotate File Data')
-                    item.connect('activate', self.annotate_cb, vfs_file)
-                    items.append(item)
-
-                    item = nautilus.MenuItem('BzrNautilus::commit',
-                                 'Commit',
-                                 'Commit Changes')
-                    item.connect('activate', self.commit_cb, vfs_file)
-                    items.append(item)
-    
+                item = nautilus.MenuItem('BzrNautilus::annotate',
+                             'Annotate',
+                             'Annotate File Data')
+                item.connect('activate', self.annotate_cb, vfs_file)
+                items.append(item)
+
+                item = nautilus.MenuItem('BzrNautilus::commit',
+                             'Commit',
+                             'Commit Changes')
+                item.connect('activate', self.commit_cb, vfs_file)
+                items.append(item)
+
         return items

=== modified file 'viz/__init__.py'
--- viz/__init__.py	2006-05-20 19:24:12 +0000
+++ viz/__init__.py	2006-09-06 09:27:12 +0000
@@ -1,4 +1,3 @@
-#!/usr/bin/python
 # -*- coding: UTF-8 -*-
 """GTK+ Branch Visualisation.
 

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2006-08-21 13:40:08 +0000
+++ viz/branchwin.py	2006-09-06 09:27:12 +0000
@@ -1,4 +1,3 @@
-#!/usr/bin/python
 # -*- coding: UTF-8 -*-
 """Branch window.
 

=== modified file 'viz/bzrkapp.py'
--- viz/bzrkapp.py	2006-05-19 18:59:23 +0000
+++ viz/bzrkapp.py	2006-09-06 09:27:12 +0000
@@ -1,4 +1,3 @@
-#!/usr/bin/python
 # -*- coding: UTF-8 -*-
 """Application object.
 

=== modified file 'viz/graph.py'
--- viz/graph.py	2006-07-29 11:52:36 +0000
+++ viz/graph.py	2006-09-06 09:27:12 +0000
@@ -1,4 +1,3 @@
-#!/usr/bin/python
 # -*- coding: UTF-8 -*-
 """Directed graph production.
 

=== modified file 'viz/graphcell.py'
--- viz/graphcell.py	2006-05-19 16:37:13 +0000
+++ viz/graphcell.py	2006-09-06 09:27:12 +0000
@@ -1,4 +1,3 @@
-#!/usr/bin/python
 # -*- coding: UTF-8 -*-
 """Cell renderer for directed graph.
 

